Name:		rekall
Summary:	A KDE database front-end application
Version:	2.2.4
Release:	8%{?dist}
Group:		Development/Tools
License:	GPL
URL:		http://www.rekallrevealed.org/
Source0: 	http://www.rekallrevealed.org/packages/%{name}-%{version}-2.tar.gz
Patch0:		rekall-2.2.3-py24.patch
Patch1:		rekall-2.2.3-norpath3.patch
Patch2:		rekall-2.2.3-64bitfix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	xbsql-devel, python-devel, mysql-devel, postgresql-devel
BuildRequires:	kdelibs-devel, desktop-file-utils, libacl-devel
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	rekall-common = %{version}-%{release}

%description
Rekall is a database front-end, however, Rekall is not itself a 
database, and does not include a database. By this we mean that data 
is stored somewhere else in an SQL server, and Rekall is fundementally 
just a tool to extract, display and update that data (of course, it does 
lots more than that, it does forms and reports and scripting...). It is 
database agnostic, and does not have any preferred database (plugins are 
available for MySQL and PostgreSQL).

%package common
Summary: Rekall common libraries
Group: System Environment/Libraries

%description common
This package contains a set of common libraries that both rekall and 
rekall-runtime require to function.

%package devel
Summary: Rekall development libraries and headers
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers and libraries for compiling programs that use Rekall.

%package docs
Summary: Rekall documentation
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description docs
Documentation for Rekall

%package extra
Summary: Rekall Extra Stuff Plugin
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description extra
Rekall Extra Stuff Plugin.

%package mysql
Summary: Rekall MySQL driver
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description mysql
Driver to add MySQL support to Rekall.

%package postgresql
Summary: Rekall PostgreSQL driver
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description postgresql
Driver to add PostgreSQL support to Rekall.

%package python
Summary: Rekall Python support
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description python
Python components and scripts for Rekall.

%package runtime
Summary: Rekall runtime environment
Group: Development/Tools
Provides: %{name}-runtime-devel = %{version}-%{release}
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: rekall-common = %{version}-%{release}

%description runtime
RekallRT is the runtime version of Rekall. It contains all the functionality 
of Rekall except that all design functions are removed, and direct access to 
tables and queries is restricted.

Typically, you can develop a Rekall application with the full version, then 
allow users to run it under the runtime version. Such a user is restricted 
to accessing the database only via the forms and reports that you have 
designed, and via any associated scripts.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export KDEDIR=%{_prefix}

%configure				\
	--with-qlib-loader		\
	--with-gui=kde			\
	--disable-rpath			\
	--enable-docs=yes		\
	--enable-odbc=yes		\
	--enable-iodbc=yes		\
	--enable-runtime=yes		\
	--enable-debug=yes		\
	--with-qt-dir=%{_libdir}/qt-3.3	\
%ifarch x86_64 ia64 sparc64 ppc64 
	--enable-libsuffix=64		\
%endif
	--with-sgml-prefix=%{_prefix}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# Normally, we'd nuke the .la files, but rekall actually seems to want them...
# rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mv $RPM_BUILD_ROOT%{_datadir}/doc/HTML $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category Application \
  --add-category Office \
  --add-mime-type Application/x-rlk \
  $RPM_BUILD_ROOT%{_datadir}/%{name}.desktop

sed -i -e 's|Rekall|Rekall RT|' $RPM_BUILD_ROOT%{_datadir}/%{name}rt.desktop
sed -i -e 's|rekall.png|rekallrt.png|' $RPM_BUILD_ROOT%{_datadir}/%{name}rt.desktop

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category Application \
  --add-category Office \
  --add-mime-type Application/x-rlk \
  $RPM_BUILD_ROOT%{_datadir}/%{name}rt.desktop

# No need to have this file twice.
rm -rf $RPM_BUILD_ROOT%{_datadir}/apps/rekall/LICENSE

%find_lang %{name}

cd $RPM_BUILD_ROOT%{_datadir}
ln -s %{_datadir}/apps/rekall/icons/hicolor/32x32/apps/rekall.png pixmaps/rekall.png
cp apps/rekall/icons/hicolor/32x32/apps/rekall.png pixmaps/rekallrt.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications &> /dev/null

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
  update-desktop-database %{_datadir}/applications &> /dev/null
fi

%post common -p /sbin/ldconfig

%postun common -p /sbin/ldconfig

%post extra -p /sbin/ldconfig

%postun extra -p /sbin/ldconfig

%post mysql -p /sbin/ldconfig

%postun mysql -p /sbin/ldconfig

%post postgresql -p /sbin/ldconfig

%postun postgresql -p /sbin/ldconfig

%post python -p /sbin/ldconfig

%postun python -p /sbin/ldconfig

%post runtime
/sbin/ldconfig
update-desktop-database %{_datadir}/applications &> /dev/null

%postun runtime
/sbin/ldconfig
if [ "$1" = "0" ]; then
  update-desktop-database %{_datadir}/applications &> /dev/null
fi

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc LICENSE
%{_libdir}/libel_*.so.*
%{_libdir}/libel_*.la
%{_libdir}/libkbase.so.*
%{_libdir}/libkbase.la
%{_libdir}/libkbase_*.so.*
%exclude %{_libdir}/libkbase_common.so.*
%exclude %{_libdir}/libkbase_kde.so.*
%exclude %{_libdir}/libkbase_tkwidgets.so.*
%{_libdir}/libkbase_*.la
%{_libdir}/librekall.so.*
%{_libdir}/librekall.la
%{_bindir}/rekall
%{_datadir}/pixmaps/rekall.png
%dir %{_datadir}/apps/rekall
%{_datadir}/apps/rekall/dict/*
%{_datadir}/apps/rekall/help/*
%{_datadir}/apps/rekall/highlight/*
%{_datadir}/apps/rekall/icons/*
%{_datadir}/apps/rekall/keymap
%{_datadir}/apps/rekall/pics/*
%{_datadir}/apps/rekall/rekall.png
%{_datadir}/apps/rekall/rekallui.*
%{_datadir}/apps/rekall/services/kdeparts.lst
%{_datadir}/apps/rekall/services/rekall_component.desktop
%{_datadir}/apps/rekall/services/rekall_copier.desktop
%{_datadir}/apps/rekall/services/rekall_driver_xbase.desktop
%{_datadir}/apps/rekall/services/rekall_dummy.desktop
%{_datadir}/apps/rekall/services/rekall_editor.desktop
%{_datadir}/apps/rekall/services/rekall_form.desktop
%{_datadir}/apps/rekall/services/rekall_macro.desktop
%{_datadir}/apps/rekall/services/rekall_plugin_kde.desktop
%{_datadir}/apps/rekall/services/rekall_query.desktop
%{_datadir}/apps/rekall/services/rekall_report.desktop
%{_datadir}/apps/rekall/services/rekall_table.desktop
%{_datadir}/apps/rekall/wizards/*
%{_datadir}/applications/fedora-rekall.desktop
%{_libdir}/libkbase_componentview.so
%{_libdir}/libkbase_copierview.so
%{_libdir}/libkbase_editor.so
%{_libdir}/libkbase_formview.so
%{_libdir}/libkbase_macroview.so
%{_libdir}/libkbase_queryview.so
%{_libdir}/libkbase_reportview.so
%{_libdir}/libkbase_tableview.so

%files common
%defattr(-, root, root, 0755)
%{_libdir}/libkbase_common.so.*
%{_libdir}/libkbase_kde.so.*
%{_libdir}/libkbase_tkwidgets.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/*
%{_libdir}/libel_compile.so
%{_libdir}/libel_interp.so
%{_libdir}/libkbase.so
%{_libdir}/libkbase_app.so
%{_libdir}/libkbase_common.so
%{_libdir}/libkbase_driver_xbase.so
%{_libdir}/libkbase_driver_xbase.la
%{_libdir}/libkbase_kde.so
%{_libdir}/libkbase_plugin_kde.so
%{_libdir}/libkbase_tkwidgets.so
%{_libdir}/libkbase_wizard.so
%{_libdir}/librekall.so

%files docs
%defattr(-, root, root, 0755)
%doc AUTHORS INSTALL.KDE README.FIRST Release.Notes
%{_docdir}/%{name}-%{version}/*

%files extra
%defattr(-, root, root, 0755)
%{_datadir}/apps/rekall/services/rekall_plugin_extra.desktop
%{_libdir}/libkbase_plugin_extra.so
%{_libdir}/libkbase_plugin_extra.la

%files mysql
%defattr(-, root, root, 0755)
%{_datadir}/apps/rekall/services/rekall_driver_mysql.desktop
%{_libdir}/libkbase_driver_mysql.so
%{_libdir}/libkbase_driver_mysql.la

%files postgresql
%defattr(-, root, root, 0755)
%{_datadir}/apps/rekall/services/rekall_driver_pgsql.desktop
%{_libdir}/libkbase_driver_pgsql.so
%{_libdir}/libkbase_driver_pgsql.la

%files python
%defattr(-, root, root, 0755)
%dir %{_datadir}/apps/rekall/stock/component/py
%{_datadir}/apps/rekall/stock/component/py/*
%dir %{_datadir}/apps/rekall/script/py
%{_datadir}/apps/rekall/script/py/*
%{_datadir}/apps/rekall/services/rekall_script_py.desktop
%{_libdir}/libkbase_script_py.so
%{_libdir}/libkbase_script_pysys.so

%files runtime
%defattr(-, root, root, 0755)
%{_bindir}/rekallrt
%{_datadir}/apps/rekall/services/rekallrt_copier.desktop
%{_datadir}/apps/rekall/services/rekallrt_form.desktop
%{_datadir}/apps/rekall/services/rekallrt_query.desktop
%{_datadir}/apps/rekall/services/rekallrt_report.desktop
%{_datadir}/apps/rekall/services/rekallrt_table.desktop
%{_datadir}/apps/rekall/services/rekallrt_plugin_extra.desktop
%{_datadir}/apps/rekall/services/rekallrt_script_py.desktop
%{_datadir}/apps/rekallrt
%{_datadir}/applications/fedora-rekallrt.desktop
%{_datadir}/pixmaps/rekallrt.png
%{_libdir}/libkbasert_plugin_extra.so
%{_libdir}/libkbasert_script_py.so
%{_libdir}/libkbasert_script_pysys.so
%{_libdir}/libkbasert.so*
%{_libdir}/libkbasert_app.so*
%{_libdir}/libkbasert_formview.so
%{_libdir}/libkbasert_queryview.so
%{_libdir}/libkbasert_reportview.so
%{_libdir}/libkbasert_tableview.so
%{_libdir}/libkbasert*.la
%{_libdir}/librekallrt.so*
%{_libdir}/librekallrt.la

%changelog
* Thu Oct  5 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-8
- FC-3 is held together with duct-tape

* Wed Oct  5 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-7
- BR: libacl-devel

* Fri Sep 23 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-5
- 64 bit fixes (the shock!)

* Thu Sep 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-4
- yes. another one.

* Thu Sep 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-3
- yet another 64 bit long issue

* Thu Sep 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-2
- another 64 bit long issue

* Thu Sep 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.4-1
- go to 2.2.4
- fix 64 bit long issue

* Mon Sep 19 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.3-5
- get rid of unnecessary BR: xbase-devel and qt-devel

* Sat Sep 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.3-4
- fix runtime package to actually be standalone
- create common package that both rekall and rekall-runtime need

* Thu Sep  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.3-3
- runtime: R: desktop-file-utils
- use %%{_datadir} everywhere

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.3-2
- BR: desktop-file-utils
- R: desktop-file-utils
- fix typo in runtime desc
- set vendor to fedora not kde
- add Office, Application to category
- add rlk mimetype
- make symlink for icon
- provide runtime-devel in runtime package
- include .la files
- lots of missing post/postun added
- icon for the runtime bits

* Fri Jun 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.3-1
- initial package for Fedora Extras
